package com.ihaoin.hooloo.device.adapter;

import android.content.Context;
import android.view.LayoutInflater;
import android.view.View;
import android.widget.ImageView;
import android.widget.LinearLayout;
import android.widget.TextView;

import com.bumptech.glide.Glide;
import com.bumptech.glide.load.resource.bitmap.RoundedCorners;
import com.bumptech.glide.request.RequestOptions;
import com.chad.library.adapter.base.BaseSectionQuickAdapter;
import com.chad.library.adapter.base.BaseViewHolder;
import com.ihaoin.hooloo.device.R;
import com.ihaoin.hooloo.device.data.Goods;
import com.ihaoin.hooloo.device.data.ScrollBean;
import com.ihaoin.hooloo.device.util.CollectionUtils;
import com.ihaoin.hooloo.device.util.StringUtils;
import com.ihaoin.hooloo.device.util.Utils;

public class GoodsAdapter extends BaseSectionQuickAdapter<ScrollBean, BaseViewHolder> {
    private Context mContext;

    public GoodsAdapter(Context context, int layoutResId, int sectionHeadResId) {
        super(layoutResId, sectionHeadResId, null);
        this.mContext = context;
    }

    @Override
    protected void convertHead(BaseViewHolder helper, ScrollBean item) {
        helper.setText(R.id.txt_category, item.header);
    }

    @Override
    protected void convert(BaseViewHolder helper, ScrollBean item) {
        ScrollBean.ScrollItemBean t = item.t;
        Goods goods = (Goods) t.getObject();
        helper.setText(R.id.txt_name, goods.getName());
        if (StringUtils.isEmpty(goods.getDesc())) {
            helper.setGone(R.id.txt_intro, false);
        } else {
            helper.setGone(R.id.txt_intro, true);
            helper.setText(R.id.txt_intro, goods.getDesc());
        }

        if (CollectionUtils.isEmpty(goods.getTags())) {
            helper.setGone(R.id.layout_tags, false);
        } else {
            helper.setGone(R.id.layout_tags, true);
            LinearLayout layoutTag = helper.getView(R.id.layout_tags);
            layoutTag.removeAllViews();
            goods.getTags().forEach(x -> {
                View tagView = LayoutInflater.from(mContext).inflate(R.layout.item_tag, null);
                ((TextView) tagView.findViewById(R.id.txt_tag)).setText(x);
                layoutTag.addView(tagView);
            });
        }


        ImageView imgThumbnail = helper.getView(R.id.img_thumbnail);
        RoundedCorners roundedCorners = new RoundedCorners(5);
        RequestOptions options = RequestOptions.bitmapTransform(roundedCorners);
        Glide.with(mContext).load(goods.getPics().getThumbnail()).apply(options).into(imgThumbnail);

        View butnAdd = helper.getView(R.id.butn_add);
        butnAdd.setOnClickListener(v -> Utils.sendBroadcast(mContext, goods, goods.getSkus().get(0), 1));

        View layoutItem = helper.getView(R.id.layout_item);
        layoutItem.setOnClickListener(v -> Utils.showGoodsDetail(mContext, goods));
    }
}
