package com.ihaoin.hooloo.device.util;

import android.content.Context;
import android.content.Intent;
import android.util.DisplayMetrics;

import com.ihaoin.hooloo.device.data.Goods;
import com.ihaoin.hooloo.device.data.Sku;
import com.ihaoin.hooloo.device.view.GoodsDetailDialog;
import com.ihaoin.hooloo.device.view.TipsDialog;

public class Utils {
    public static String ADD_TROLLEY_ACTION = "";

    public static void sendBroadcast(Context context, Goods goods, Sku sku, Integer count) {
        Intent intent = new Intent();
        intent.setAction(Utils.ADD_TROLLEY_ACTION);
        intent.putExtra("goods", goods);
        intent.putExtra("sku", sku);
        intent.putExtra("count", count);
        context.sendBroadcast(intent);
    }

    public static void showGoodsDetail(Context context, Goods goods) {
        GoodsDetailDialog dialog = new GoodsDetailDialog(context, goods);
        dialog.show();
    }

    public static void showTips(Context context) {
        TipsDialog dialog = new TipsDialog(context);
        dialog.show();
    }

    /**
     * 获得资源 dimens (dp)
     *
     * @param context
     * @param id      资源id
     * @return
     */
    public static float getDimens(Context context, int id) {
        DisplayMetrics dm = context.getResources().getDisplayMetrics();
        float px = context.getResources().getDimension(id);
        return px / dm.density;
    }

    /**
     * dp转px
     *
     * @param context
     * @param dp
     * @return
     */
    public static int dpToPx(Context context, float dp) {
        DisplayMetrics displayMetrics = context.getResources().getDisplayMetrics();
        return (int) ((dp * displayMetrics.density) + 0.5f);
    }
}
